# Uses of Class
org.eclipse.jdt.core.search.SearchDocument

Packages that use SearchDocument
Package
Description
org.eclipse.jdt.core.search
Provides support for searching the workspace Java elements that match a particular description.

## Uses of SearchDocument in org.eclipse.jdt.core.search

Methods in org.eclipse.jdt.core.search that return SearchDocument
Modifier and Type
Method
Description
`abstract SearchDocument`
SearchParticipant.`getDocument(String documentPath)`
Returns a search document for the given path.
Methods in org.eclipse.jdt.core.search with parameters of type SearchDocument
Modifier and Type
Method
Description
`abstract void`
SearchParticipant.`indexDocument(SearchDocument document, org.eclipse.core.runtime.IPath indexLocation)`
Indexes the given document in the given index.
`void`
SearchParticipant.`indexResolvedDocument(SearchDocument document, org.eclipse.core.runtime.IPath indexLocation)`
Indexes the given resolved document in the given index.
`abstract void`
SearchParticipant.`locateMatches(SearchDocument[] documents, SearchPattern pattern, IJavaSearchScope scope, SearchRequestor requestor, org.eclipse.core.runtime.IProgressMonitor monitor)`
Locates the matches in the given documents using the given search pattern and search scope, and reports them to the given search requestor.
`void`
SearchParticipant.`resolveDocument(SearchDocument document)`
Resolves the given document.
`final void`
SearchParticipant.`scheduleDocumentIndexing(SearchDocument document, org.eclipse.core.runtime.IPath indexPath)`
Schedules the indexing of the given document.